NX Open C++ Reference Guide
Public Types | Public Member Functions | List of all members
NXOpen::Features::MoveObjectBuilder Class Reference

Represents a NXOpen::Features::MoveObjectBuilder
To create a new instance of this class, use NXOpen::Features::BaseFeatureCollection::CreateMoveObjectBuilder
Default values. More...

Inheritance diagram for NXOpen::Features::MoveObjectBuilder:
NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Types

enum  LayerOptionType { LayerOptionTypeOriginal, LayerOptionTypeWork, LayerOptionTypeAsSpecified }
 Indicates the layer on which moved or copied objects will be placed. More...
 
enum  MoveObjectResultOptions { MoveObjectResultOptionsMoveOriginal, MoveObjectResultOptionsCopyOriginal }
 Indicates whether to move or copy objects. More...
 

Public Member Functions

bool Associative ()
 Returns the associative flag. More...
 
bool CreateTraceLines ()
 Returns the create trace lines flag
Created in NX6.0.0. More...
 
int Divisions ()
 Returns the distance or angle divisions
Created in NX6.0.0. More...
 
int Layer ()
 Returns the layer
Created in NX6.0.2. More...
 
NXOpen::Features::MoveObjectBuilder::LayerOptionType LayerOption ()
 Returns the layer option
Created in NX6.0.2. More...
 
NXOpen::Features::MoveObjectBuilder::MoveObjectResultOptions MoveObjectResult ()
 Returns the move rotate result
Created in NX6.0.0. More...
 
bool MoveParents ()
 Returns the move parents flag. More...
 
int NumberOfCopies ()
 Returns the number of copies
Created in NX6.0.0. More...
 
NXOpen::SelectNXObjectListObjectToMoveObject ()
 Returns the objects to move-rotate
Created in NX6.0.0. More...
 
void SetAssociative (bool associative)
 Sets the associative flag. More...
 
void SetCreateTraceLines (bool createTraceLines)
 Sets the create trace lines flag
Created in NX6.0.0. More...
 
void SetDivisions (int distanceOrAngleDivisions)
 Sets the distance or angle divisions
Created in NX6.0.0. More...
 
void SetLayer (int layer)
 Sets the layer
Created in NX6.0.2. More...
 
void SetLayerOption (NXOpen::Features::MoveObjectBuilder::LayerOptionType layerOptionType)
 Sets the layer option
Created in NX6.0.2. More...
 
void SetMoveObjectResult (NXOpen::Features::MoveObjectBuilder::MoveObjectResultOptions moveObjectResult)
 Sets the move rotate result
Created in NX6.0.0. More...
 
void SetMoveParents (bool moveParents)
 Sets the move parents flag. More...
 
void SetNumberOfCopies (int numCopies)
 Sets the number of copies
Created in NX6.0.0. More...
 
NXOpen::GeometricUtilities::ModlMotionTransformMotion ()
 Returns the transform
Created in NX6.0.0. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents a NXOpen::Features::MoveObjectBuilder
To create a new instance of this class, use NXOpen::Features::BaseFeatureCollection::CreateMoveObjectBuilder
Default values.

Property Value

Associative

false

CreateTraceLines

false

Divisions

1

LayerOption

Original

MoveObjectResult

MoveOriginal

MoveParents

true

NumberOfCopies

1

TransformMotion.DeltaEnum

ReferenceWcsWorkPart

TransformMotion.DeltaXc.Value

0.0

TransformMotion.DeltaYc.Value

0.0

TransformMotion.DeltaZc.Value

0.0

TransformMotion.Option

Dynamic


Created in NX6.0.0.

Member Enumeration Documentation

Indicates the layer on which moved or copied objects will be placed.

Enumerator
LayerOptionTypeOriginal 

Original Layer.

LayerOptionTypeWork 

Work Layer.

LayerOptionTypeAsSpecified 

As Specified Layer.

Indicates whether to move or copy objects.

Enumerator
MoveObjectResultOptionsMoveOriginal 

move objects

MoveObjectResultOptionsCopyOriginal 

copy objects

Member Function Documentation

bool NXOpen::Features::MoveObjectBuilder::Associative ( )

Returns the associative flag.

A Move Object feature is created only when Move Parents flag is false.
Created in NX6.0.2.

License requirements : None

bool NXOpen::Features::MoveObjectBuilder::CreateTraceLines ( )

Returns the create trace lines flag
Created in NX6.0.0.



License requirements : None

int NXOpen::Features::MoveObjectBuilder::Divisions ( )

Returns the distance or angle divisions
Created in NX6.0.0.



License requirements : None

int NXOpen::Features::MoveObjectBuilder::Layer ( )

Returns the layer
Created in NX6.0.2.



License requirements : None

NXOpen::Features::MoveObjectBuilder::LayerOptionType NXOpen::Features::MoveObjectBuilder::LayerOption ( )

Returns the layer option
Created in NX6.0.2.



License requirements : None

NXOpen::Features::MoveObjectBuilder::MoveObjectResultOptions NXOpen::Features::MoveObjectBuilder::MoveObjectResult ( )

Returns the move rotate result
Created in NX6.0.0.



License requirements : None

bool NXOpen::Features::MoveObjectBuilder::MoveParents ( )

Returns the move parents flag.

The parents of selected objects will be moved only when Associative flag is false.
Created in NX6.0.0.

License requirements : None

int NXOpen::Features::MoveObjectBuilder::NumberOfCopies ( )

Returns the number of copies
Created in NX6.0.0.



License requirements : None

NXOpen::SelectNXObjectList* NXOpen::Features::MoveObjectBuilder::ObjectToMoveObject ( )

Returns the objects to move-rotate
Created in NX6.0.0.



License requirements : None

void NXOpen::Features::MoveObjectBuilder::SetAssociative ( bool  associative)

Sets the associative flag.

A Move Object feature is created only when Move Parents flag is false.
Created in NX6.0.2.

License requirements : None

Parameters
associativeassociative
void NXOpen::Features::MoveObjectBuilder::SetCreateTraceLines ( bool  createTraceLines)

Sets the create trace lines flag
Created in NX6.0.0.



License requirements : None

Parameters
createTraceLinescreatetracelines
void NXOpen::Features::MoveObjectBuilder::SetDivisions ( int  distanceOrAngleDivisions)

Sets the distance or angle divisions
Created in NX6.0.0.



License requirements : None

Parameters
distanceOrAngleDivisionsdistanceorangledivisions
void NXOpen::Features::MoveObjectBuilder::SetLayer ( int  layer)

Sets the layer
Created in NX6.0.2.



License requirements : None

Parameters
layerlayer
void NXOpen::Features::MoveObjectBuilder::SetLayerOption ( NXOpen::Features::MoveObjectBuilder::LayerOptionType  layerOptionType)

Sets the layer option
Created in NX6.0.2.



License requirements : None

Parameters
layerOptionTypelayeroptiontype
void NXOpen::Features::MoveObjectBuilder::SetMoveObjectResult ( NXOpen::Features::MoveObjectBuilder::MoveObjectResultOptions  moveObjectResult)

Sets the move rotate result
Created in NX6.0.0.



License requirements : None

Parameters
moveObjectResultmoveobjectresult
void NXOpen::Features::MoveObjectBuilder::SetMoveParents ( bool  moveParents)

Sets the move parents flag.

The parents of selected objects will be moved only when Associative flag is false.
Created in NX6.0.0.

License requirements : None

Parameters
moveParentsmoveparents
void NXOpen::Features::MoveObjectBuilder::SetNumberOfCopies ( int  numCopies)

Sets the number of copies
Created in NX6.0.0.



License requirements : None

Parameters
numCopiesnumcopies
NXOpen::GeometricUtilities::ModlMotion* NXOpen::Features::MoveObjectBuilder::TransformMotion ( )

Returns the transform
Created in NX6.0.0.



License requirements : None


The documentation for this class was generated from the following file:
Copyright 2012 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.